import { ScalarValue } from './types';
interface UsePositionConfig {
    x: ScalarValue;
    y: ScalarValue;
    xAxis: string;
    yAxis: string;
}
export declare function usePosition(config: UsePositionConfig): {
    x: number;
    y: number;
};
interface UsePointsPositionConfig {
    xAxis: string;
    yAxis: string;
    points: Array<{
        x: ScalarValue;
        y: ScalarValue;
    }>;
}
export declare function usePointsPosition(config: UsePointsPositionConfig): string;
interface UseRectanglePositionConfig {
    xAxis: string;
    yAxis: string;
    x1: ScalarValue;
    y1: ScalarValue;
    x2: ScalarValue;
    y2: ScalarValue;
}
export declare function useRectanglePosition(config: UseRectanglePositionConfig): {
    x: number;
    y: number;
    width: number;
    height: number;
};
interface UseEllipsePositionConfig {
    xAxis: string;
    yAxis: string;
    cx: ScalarValue;
    cy: ScalarValue;
    rx: ScalarValue;
    ry: ScalarValue;
}
export declare function useEllipsePosition(config: UseEllipsePositionConfig): {
    cx: number;
    cy: number;
    rx: number;
    ry: number;
};
interface UseBoxPlotPositionConfig {
    xAxis: string;
    yAxis: string;
    min: ScalarValue;
    max: ScalarValue;
    q1: ScalarValue;
    median: ScalarValue;
    q3: ScalarValue;
    width: ScalarValue;
    y: ScalarValue;
}
export declare function useBoxPlotPosition(config: UseBoxPlotPositionConfig): {
    min: number;
    max: number;
    q1: number;
    median: number;
    q3: number;
    y: number;
    width: number;
    horizontal: boolean;
};
interface UseDirectedEllipsePositionConfig {
    xAxis: string;
    yAxis: string;
    x1: ScalarValue;
    y1: ScalarValue;
    x2: ScalarValue;
    y2: ScalarValue;
    width: ScalarValue;
}
export declare function useDirectedEllipsePosition(config: UseDirectedEllipsePositionConfig): {
    cx: number;
    cy: number;
    rx: number;
    ry: number;
    rotation: number;
};
export declare function useIsSeriesVisible(id: string): boolean;
interface UseShiftOptions {
    xAxis: string;
    yAxis: string;
    xShift: ScalarValue;
    yShift: ScalarValue;
}
export declare function useShift(options: UseShiftOptions): {
    xShift: number;
    yShift: number;
};
export {};
//# sourceMappingURL=hooks.d.ts.map