"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DirectedEllipse = DirectedEllipse;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function DirectedEllipse(props) {
    const { x1, y1, y2, x2, color, width, style, xAxis = 'x', yAxis = 'y', ...otherProps } = props;
    const { cx, cy, rx, ry, rotation } = (0, hooks_1.useDirectedEllipsePosition)({
        x1,
        y1,
        y2,
        x2,
        width,
        xAxis,
        yAxis,
    });
    return ((0, jsx_runtime_1.jsx)("ellipse", { cx: cx, cy: cy, rx: rx, ry: ry, transform: `rotate(${rotation} 0 0)`, style: { ...style, transformOrigin: 'center', transformBox: 'fill-box' }, fill: color, ...otherProps }));
}
//# sourceMappingURL=DirectedEllipse.js.map