"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Shape = Shape;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
const Markers_1 = require("../Markers");
const shapes = {
    triangle: Triangle,
    circle: Circle,
    diamond: Diamond,
    square: Square,
};
function Triangle(props) {
    return (0, jsx_runtime_1.jsx)(Markers_1.Triangle, { size: props.size, style: props.style });
}
function Circle(props) {
    return (0, jsx_runtime_1.jsx)(Markers_1.Circle, { size: props.size, style: props.style });
}
function Diamond(props) {
    return (0, jsx_runtime_1.jsx)(Markers_1.Diamond, { size: props.size, style: props.style });
}
function Square(props) {
    return (0, jsx_runtime_1.jsx)(Markers_1.Square, { size: props.size, style: props.style });
}
function Shape(props) {
    const { shape, x: xOld, y: yOld, onMouseEnter, onMouseLeave, color, size, style, xAxis = 'x', yAxis = 'y', } = props;
    const Figure = shapes[shape];
    if (!Figure) {
        throw new Error(`Invalid shape: "${shape}"`);
    }
    const { x, y } = (0, hooks_1.usePosition)({ x: xOld, y: yOld, xAxis, yAxis });
    return ((0, jsx_runtime_1.jsx)("g", { onMouseEnter: onMouseEnter, onMouseLeave: onMouseLeave, transform: `translate(${x}, ${y})`, children: (0, jsx_runtime_1.jsx)(Figure, { size: size, style: { fill: color, ...style } }) }));
}
//# sourceMappingURL=Shape.js.map