"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = HorizontalAxisGridLines;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
function HorizontalAxisGridLines(props) {
    const { plotHeight, style, primaryTicks, position: axisPosition, primaryGrid, secondaryGrid, secondaryStyle, scale, } = props;
    const Grid = (0, react_1.useMemo)(() => {
        const Grid = [];
        if (primaryGrid) {
            for (const { position } of primaryTicks) {
                Grid.push((0, jsx_runtime_1.jsx)("line", { x1: position, x2: position, y1: axisPosition === 'top' ? plotHeight : -plotHeight, y2: "0", stroke: "black", strokeDasharray: "2,2", strokeOpacity: 0.5, style: style }, position));
            }
        }
        if (secondaryGrid) {
            const density = 5;
            const secondaryGridPosition = scale?.ticks(primaryTicks.length * density) || [];
            for (const tick of secondaryGridPosition) {
                const position = scale?.(tick);
                if (!position ||
                    primaryTicks.map((tick) => tick.position).includes(position)) {
                    return null;
                }
                Grid.push((0, jsx_runtime_1.jsx)("line", { x1: position, x2: position, y1: axisPosition === 'top' ? plotHeight : -plotHeight, y2: "0", stroke: "black", strokeDasharray: "5", strokeOpacity: 0.2, style: secondaryStyle }, position));
            }
        }
        return Grid;
    }, [
        axisPosition,
        plotHeight,
        primaryGrid,
        primaryTicks,
        scale,
        secondaryGrid,
        secondaryStyle,
        style,
    ]);
    return (0, jsx_runtime_1.jsx)("g", { children: Grid });
}
//# sourceMappingURL=HorizontalAxisGridLines.js.map