"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = VerticalAxisGridlines;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
function VerticalAxisGridlines(props) {
    const { plotWidth, style, primaryTicks, position: axisPosition, primaryGrid, secondaryGrid, scale, secondaryStyle, } = props;
    const Grid = (0, react_1.useMemo)(() => {
        const Grid = [];
        if (primaryGrid) {
            for (const { position } of primaryTicks) {
                Grid.push((0, jsx_runtime_1.jsx)("line", { x1: "0", x2: axisPosition === 'left' ? plotWidth : -plotWidth, y1: position, y2: position, stroke: "black", strokeDasharray: "2,2", strokeOpacity: 0.5, style: style }, position));
            }
        }
        if (secondaryGrid) {
            const density = 5;
            const secondaryGridPosition = scale?.ticks(primaryTicks.length * density) || [];
            for (const tick of secondaryGridPosition) {
                const position = scale?.(tick) || 0; // exclude the main ticks
                if (primaryTicks.map((tick) => tick.position).includes(position)) {
                    return null;
                }
                Grid.push((0, jsx_runtime_1.jsx)("line", { x1: "0", x2: axisPosition === 'left' ? plotWidth : -plotWidth, y1: position, y2: position, stroke: "black", strokeDasharray: "5", strokeOpacity: 0.2, style: secondaryStyle }, position));
            }
        }
        return Grid;
    }, [
        axisPosition,
        plotWidth,
        primaryGrid,
        primaryTicks,
        scale,
        secondaryGrid,
        secondaryStyle,
        style,
    ]);
    return (0, jsx_runtime_1.jsx)("g", { children: Grid });
}
//# sourceMappingURL=VerticalAxisGridLines.js.map