"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Heading = Heading;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_d3_utils_1 = require("react-d3-utils");
const plotContext_1 = require("../contexts/plotContext");
function Heading({ title, titleStyle, titleClass, subtitle, subtitleStyle, subtitleClass, position = 'top', }) {
    const { width, height } = (0, plotContext_1.usePlotContext)();
    const dispatch = (0, plotContext_1.usePlotDispatchContext)();
    const defaultTitleStyle = {
        dominantBaseline: 'hanging',
        textAnchor: 'middle',
        fontSize: '16px',
        fontWeight: 'bold',
    };
    const defaultSubtitleStyle = {
        dominantBaseline: 'hanging',
        textAnchor: 'middle',
        fontSize: '14px',
        color: 'gray',
    };
    const headingBbox = (0, react_d3_utils_1.useBBoxObserver)();
    (0, react_1.useEffect)(() => {
        dispatch({ type: 'addHeading', payload: { position } });
        // Delete information on unmount
        return () => dispatch({ type: 'removeHeading' });
    }, [dispatch, position]);
    return ((0, jsx_runtime_1.jsxs)(react_d3_utils_1.AlignGroup, { x: width / 2, y: position === 'top' ? 0 : height, horizontalAlign: "middle", verticalAlign: position === 'top' ? 'start' : 'end', children: [(0, jsx_runtime_1.jsx)("text", { ref: headingBbox.ref, style: { ...defaultTitleStyle, ...titleStyle }, className: titleClass, children: title }), subtitle && ((0, jsx_runtime_1.jsx)("text", { transform: `translate(0, ${headingBbox.height})`, style: {
                    ...defaultSubtitleStyle,
                    ...subtitleStyle,
                }, className: subtitleClass, children: subtitle }))] }));
}
//# sourceMappingURL=Heading.js.map