"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FunctionSeries = FunctionSeries;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const plotContext_1 = require("../../contexts/plotContext");
const utils_1 = require("../../utils");
const LineSeries_1 = require("./LineSeries");
function FunctionSeries(props) {
    const { getY, xAxis = 'x', id: propId, ...otherProps } = props;
    const id = `~${(0, utils_1.useId)(propId, 'series')}`;
    const { axisContext, plotWidth, plotHeight } = (0, plotContext_1.usePlotContext)();
    const x = axisContext[xAxis];
    const step = 1;
    const data = (0, react_1.useMemo)(() => {
        const data = [];
        if (x) {
            const isHorizontal = x
                ? x.position === 'top' || x.position === 'bottom'
                : false;
            const end = isHorizontal ? plotWidth : plotHeight;
            const scale = x.scale;
            for (let i = 0; i <= end; i += step) {
                const x = (0, utils_1.toNumber)(scale.invert(i));
                data.push({
                    x,
                    y: getY(x),
                });
            }
            return data;
        }
        return [{ x: 0, y: 0 }];
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [x?.domain[0], x?.domain[1]]);
    return (0, jsx_runtime_1.jsx)(LineSeries_1.LineSeries, { data: data, id: id, ...otherProps });
}
//# sourceMappingURL=FunctionSeries.js.map