import { CSSProperties } from 'react';
import { ControllerHookOptions, DualAxisOptions } from './types';
export interface UseCrossHairOptions extends ControllerHookOptions, DualAxisOptions {
    /**
     * Cross hair line color.
     * @defaultValue "black"
     * */
    color?: CSSProperties['stroke'];
    /**
     * Additional style to apply to the crosshair's lines.
     * */
    lineStyle?: CSSProperties;
    /**
     * Cross hair text annotation style.
     * */
    textStyle?: CSSProperties;
    /**
     * Transformation to apply to the crosshair's text.
     *
     * */
    textTransform?: string;
}
export declare function useCrossHair(options?: UseCrossHairOptions): {
    annotations: null;
} | {
    annotations: import("react/jsx-runtime").JSX.Element;
};
//# sourceMappingURL=useCrossHair.d.ts.map