"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCrossHair = useCrossHair;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Line_1 = require("../components/Annotations/Line");
const Text_1 = require("../components/Annotations/Text");
const plotControllerContext_1 = require("../contexts/plotController/plotControllerContext");
function useCrossHair(options = {}) {
    const [hover, setHover] = (0, react_1.useState)(null);
    const { color = 'black', horizontalAxisId = 'x', verticalAxisId = 'y', lineStyle, textStyle, textTransform = '', } = options;
    (0, plotControllerContext_1.usePlotEvents)({
        onPointerMove({ coordinates }) {
            setHover(coordinates);
        },
        onPointerLeave() {
            setHover(null);
        },
    }, options);
    const lineProps = {
        color,
        strokeWidth: '2',
        style: lineStyle,
    };
    const textProps = {
        transform: `translate(-3 -2) ${textTransform}`,
        style: textStyle,
    };
    if (!hover)
        return { annotations: null };
    const annotations = ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(Line_1.Line, { xAxis: horizontalAxisId, yAxis: verticalAxisId, x1: "0%", x2: "100%", y1: hover[verticalAxisId], y2: hover[verticalAxisId], ...lineProps }), (0, jsx_runtime_1.jsx)(Line_1.Line, { xAxis: horizontalAxisId, yAxis: verticalAxisId, y1: "0%", y2: "100%", x1: hover[horizontalAxisId], x2: hover[horizontalAxisId], ...lineProps }), (0, jsx_runtime_1.jsxs)(Text_1.Text, { xAxis: horizontalAxisId, yAxis: verticalAxisId, textAnchor: "end", alignmentBaseline: "after-edge", x: hover[horizontalAxisId], y: hover[verticalAxisId], ...textProps, children: [hover[horizontalAxisId]?.toFixed(2), " ,", hover[verticalAxisId]?.toFixed(2)] })] }));
    return { annotations };
}
//# sourceMappingURL=useCrossHair.js.map