"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRectangularZoom = useRectangularZoom;
const plotControllerContext_1 = require("../contexts/plotController/plotControllerContext");
const useDrawRectangle_1 = require("./useDrawRectangle");
function useRectangularZoom(options = {}) {
    const { horizontalAxisId = 'x', verticalAxisId = 'y' } = options;
    const plotControls = (0, plotControllerContext_1.usePlotControls)(options);
    const { annotations } = (0, useDrawRectangle_1.useDrawRectangle)({
        ...options,
        onEnd({ x1, x2, y1, y2 }) {
            plotControls.setAxes({
                [horizontalAxisId]: {
                    min: Math.min(x1, x2),
                    max: Math.max(x1, x2),
                },
                [verticalAxisId]: {
                    min: Math.min(y1, y2),
                    max: Math.max(y1, y2),
                },
            });
        },
    });
    (0, plotControllerContext_1.usePlotEvents)({
        onDoubleClick({ event: { button } }) {
            if (button !== 0)
                return;
            plotControls.resetAxes([horizontalAxisId, verticalAxisId]);
        },
    }, options);
    return { annotations };
}
//# sourceMappingURL=useRectangularZoom.js.map